Bug 1324979 - warning on upgrade
Summary: warning on upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub-customizer
Version: 23
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-07 18:30 UTC by Sergio Monteiro Basto
Modified: 2016-05-08 19:04 UTC (History)
2 users (show)

Fixed In Version: grub-customizer-5.0.5-4.fc24 grub-customizer-5.0.5-3.fc22 grub-customizer-5.0.5-3.fc23 grub-customizer-5.0.6-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-08 19:04:43 UTC


Attachments (Terms of Use)

Description Sergio Monteiro Basto 2016-04-07 18:30:14 UTC
Description of problem:
warning: %post(grub-customizer-5.0.5-2.fc23.x86_64) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package grub-customizer
Non-fatal POSTIN scriptlet failure in rpm package grub-customizer


Version-Release number of selected component (if applicable):

grub-customizer-5.0.5-2.fc23.x86_64


How reproducible:
dnf update


Actual results:
warnings

Expected results:
no warnings

Comment 1 Vasiliy Glazov 2016-04-08 03:43:04 UTC
Tis is normal now because of check
[ -d /sys/firmware/efi ] && sed -i 's|/boot/grub2|/boot/efi/EFI/fedora|g' %{_sysconfdir}/%{name}/grub.cfg
If exit status not zero we see this warning.

I will try make new check script in future releases.

Comment 2 Sergio Monteiro Basto 2016-04-08 11:54:50 UTC
Hello, 
In my case: 

#[ -d /sys/firmware/efi ] && echo yes
#echo $?
1

Thanks.

Comment 3 Fedora Update System 2016-04-08 12:44:38 UTC
grub-customizer-5.0.5-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a328d949c

Comment 4 Fedora Update System 2016-04-08 12:44:44 UTC
grub-customizer-5.0.5-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd869da233

Comment 5 Fedora Update System 2016-04-08 12:44:48 UTC
grub-customizer-5.0.5-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e3361a2b8

Comment 6 Fedora Update System 2016-04-08 12:44:52 UTC
grub-customizer-5.0.5-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-711f352bcb

Comment 7 Fedora Update System 2016-04-09 15:20:38 UTC
grub-customizer-5.0.5-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd869da233

Comment 8 Fedora Update System 2016-04-09 18:48:57 UTC
grub-customizer-5.0.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-711f352bcb

Comment 9 Fedora Update System 2016-04-09 18:52:49 UTC
grub-customizer-5.0.5-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e3361a2b8

Comment 10 Fedora Update System 2016-04-09 19:24:06 UTC
grub-customizer-5.0.5-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a328d949c

Comment 11 Fedora Update System 2016-04-13 21:34:11 UTC
grub-customizer-5.0.5-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-04-18 21:19:58 UTC
grub-customizer-5.0.5-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-04-19 01:22:20 UTC
grub-customizer-5.0.5-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-04-22 07:03:30 UTC
grub-customizer-5.0.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-07913edec3

Comment 15 Fedora Update System 2016-04-24 05:51:43 UTC
grub-customizer-5.0.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-07913edec3

Comment 16 Fedora Update System 2016-05-08 19:04:38 UTC
grub-customizer-5.0.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.